Get Email Folder
GET
/api/v1/workspaces/{workspace_id}/email_folders/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_folders/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_folders/1 \ --header 'Authorization: Bearer <token>'Retrieves a single email folder by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Email Folder ID
Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
project_id
required
integer
parent_id
required
The parent folder ID, or null for a folder at the root of the project.
integer | null
organization_id
required
integer
email_count
required
integer
folder_count
required
integer
ancestors
required
The chain of parent folders from the root of the project down to this folder’s direct parent.
Array<object>
object
id
required
integer
name
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "Newsletters", "project_id": 12345, "parent_id": 12345, "organization_id": 12345, "email_count": 4, "folder_count": 2, "ancestors": [ { "id": 12345, "name": "Newsletters" } ], "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}